Bug 1287306 - [abrt] nautilus: nautilus_directory_get_file_list(): nautilus killed by SIGSEGV
[abrt] nautilus: nautilus_directory_get_file_list(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62e268e562e603e0a1972e86112...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 17:48 EST by Francisco de la Peña
Modified: 2016-12-20 11:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:30:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.41 KB, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: core_backtrace (10.31 KB, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: dso_list (14.02 KB, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: environ (866 bytes, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-01 17:48 EST, Francisco de la Peña
no flags Details
File: maps (64.81 KB, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details
File: mountinfo (3.47 KB, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details
File: open_fds (2.77 KB, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details
File: var_log_messages (297 bytes, text/plain)
2015-12-01 17:49 EST, Francisco de la Peña
no flags Details

  None (edit)
Description Francisco de la Peña 2015-12-01 17:48:47 EST
Description of problem:
Not sure, maybe F2 to rename a file in remote SSH (gvfs)

Version-Release number of selected component:
nautilus-3.18.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_directory_get_file_list
executable:     /usr/bin/nautilus
global_pid:     32631
kernel:         4.2.6-libre.300.fc23.gnu.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nautilus_directory_get_file_list at nautilus-directory.c:1564
 #1 nautilus_directory_get_file_by_name at nautilus-directory.c:1460
 #2 file_name_widget_entry_on_changed at nautilus-files-view.c:1885
 #6 g_signal_emit_by_name at gsignal.c:3479
 #7 end_change at gtkentry.c:2872
 #8 gtk_entry_set_text at gtkentry.c:7713
 #9 nautilus_files_view_rename_file_popover_new at nautilus-files-view.c:2098
 #10 real_action_rename at nautilus-files-view.c:5406
 #11 action_rename at nautilus-files-view.c:5418
 #16 g_simple_action_activate at gsimpleaction.c:225
Comment 1 Francisco de la Peña 2015-12-01 17:48:51 EST
Created attachment 1101125 [details]
File: backtrace
Comment 2 Francisco de la Peña 2015-12-01 17:48:52 EST
Created attachment 1101126 [details]
File: cgroup
Comment 3 Francisco de la Peña 2015-12-01 17:48:53 EST
Created attachment 1101127 [details]
File: core_backtrace
Comment 4 Francisco de la Peña 2015-12-01 17:48:55 EST
Created attachment 1101128 [details]
File: dso_list
Comment 5 Francisco de la Peña 2015-12-01 17:48:56 EST
Created attachment 1101129 [details]
File: environ
Comment 6 Francisco de la Peña 2015-12-01 17:48:57 EST
Created attachment 1101130 [details]
File: exploitable
Comment 7 Francisco de la Peña 2015-12-01 17:48:58 EST
Created attachment 1101131 [details]
File: limits
Comment 8 Francisco de la Peña 2015-12-01 17:49:00 EST
Created attachment 1101132 [details]
File: maps
Comment 9 Francisco de la Peña 2015-12-01 17:49:01 EST
Created attachment 1101133 [details]
File: mountinfo
Comment 10 Francisco de la Peña 2015-12-01 17:49:02 EST
Created attachment 1101134 [details]
File: namespaces
Comment 11 Francisco de la Peña 2015-12-01 17:49:03 EST
Created attachment 1101135 [details]
File: open_fds
Comment 12 Francisco de la Peña 2015-12-01 17:49:05 EST
Created attachment 1101136 [details]
File: proc_pid_status
Comment 13 Francisco de la Peña 2015-12-01 17:49:06 EST
Created attachment 1101137 [details]
File: var_log_messages
Comment 14 kilian-risse 2015-12-30 13:49:41 EST
Another user experienced a similar problem:

1) try to access a server you do not have permission to (e.g.nfs)
2) a popup will say you cannot
3) get rid of the pop up and then right click into nautilus and try to create a new folder.
 -> nautilus crashes

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_directory_get_file_list
executable:     /usr/bin/nautilus
global_pid:     28775
kernel:         4.2.8-300.fc23.x86_64
package:        nautilus-3.18.4-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Yajo 2016-05-20 04:35:55 EDT
Another user experienced a similar problem:

I'm playing music from my phone into my Fedora PC, and then a message arrived to my phone. Not sure if it was that.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: nautilus_directory_get_file_list
executable:     /usr/bin/nautilus
global_pid:     4912
kernel:         4.2.3-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 08:53:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:30:15 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.